ApiGenerateCopyDockerArgs (cloudera-manager-api-swagger 7.13.1 API)
Date: 2026-05-19

com.cloudera.api.swagger.model

## Class ApiGenerateCopyDockerArgs

- java.lang.Object
- - com.cloudera.api.swagger.model.ApiGenerateCopyDockerArgs

-     @Generated(value="io.swagger.codegen.v3.generators.java.JavaClientCodegen",
                 date="2026-05-19T08:00:51.241Z[Etc/UTC]")
      public class ApiGenerateCopyDockerArgs
      extends Object

  Arguments used for the command to generate the docker copy script. This is applicable for Openshift deployments, where we cannot perform the image copying ourselves.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `ApiGenerateCopyDockerArgs()`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `ApiGenerateCopyDockerArgs` | `controlPlaneUuid(String controlPlaneUuid)`
    `ApiGenerateCopyDockerArgs` | `dockerRegistry(String dockerRegistry)`
    `boolean` | `equals(Object o)`
    `String` | `getControlPlaneUuid()` Optional.
    `String` | `getDockerRegistry()` The url of the Docker Registry where images required for install will be copied to
    `String` | `getRemoteRepoUrl()` The url of the remote repository where the private cloud artifacts to install are hosted
    `String` | `getSelectedFeatures()` Optional.
    `int` | `hashCode()`
    `Boolean` | `isSelectedFeaturesOnly()` Optional.
    `ApiGenerateCopyDockerArgs` | `remoteRepoUrl(String remoteRepoUrl)`
    `ApiGenerateCopyDockerArgs` | `selectedFeatures(String selectedFeatures)`
    `ApiGenerateCopyDockerArgs` | `selectedFeaturesOnly(Boolean selectedFeaturesOnly)`
    `void` | `setControlPlaneUuid(String controlPlaneUuid)`
    `void` | `setDockerRegistry(String dockerRegistry)`
    `void` | `setRemoteRepoUrl(String remoteRepoUrl)`
    `void` | `setSelectedFeatures(String selectedFeatures)`
    `void` | `setSelectedFeaturesOnly(Boolean selectedFeaturesOnly)`
    `String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### ApiGenerateCopyDockerArgs

          public ApiGenerateCopyDockerArgs()

  - ### Method Detail

    - #### remoteRepoUrl

          public ApiGenerateCopyDockerArgs remoteRepoUrl(String remoteRepoUrl)

    - #### getRemoteRepoUrl

          public String getRemoteRepoUrl()

      The url of the remote repository where the private cloud artifacts to install are hosted
      Returns:
        remoteRepoUrl

    - #### setRemoteRepoUrl

          public void setRemoteRepoUrl(String remoteRepoUrl)

    - #### dockerRegistry

          public ApiGenerateCopyDockerArgs dockerRegistry(String dockerRegistry)

    - #### getDockerRegistry

          public String getDockerRegistry()

      The url of the Docker Registry where images required for install will be copied to
      Returns:
        dockerRegistry

    - #### setDockerRegistry

          public void setDockerRegistry(String dockerRegistry)

    - #### controlPlaneUuid

          public ApiGenerateCopyDockerArgs controlPlaneUuid(String controlPlaneUuid)

    - #### getControlPlaneUuid

          public String getControlPlaneUuid()

      Optional. The uuid of the control plane, if copying docker images for an upgrade
      Returns:
        controlPlaneUuid

    - #### setControlPlaneUuid

          public void setControlPlaneUuid(String controlPlaneUuid)

    - #### selectedFeatures

          public ApiGenerateCopyDockerArgs selectedFeatures(String selectedFeatures)

    - #### getSelectedFeatures

          public String getSelectedFeatures()

      Optional. The name of the feature(s) in a comma separated list that container images/packages are associated with. When it is null, copy all the images.
      Returns:
        selectedFeatures

    - #### setSelectedFeatures

          public void setSelectedFeatures(String selectedFeatures)

    - #### selectedFeaturesOnly

          public ApiGenerateCopyDockerArgs selectedFeaturesOnly(Boolean selectedFeaturesOnly)

    - #### isSelectedFeaturesOnly

          public Boolean isSelectedFeaturesOnly()

      Optional. If true, then only images/packages that belong to the selected features will be processed. If false, then images/packages that don't belong to any features will also be processed in addition to the ones that belong to the selected features. This should be set to false (default) for install/upgrades. to true when copying specific images/packages associated with a specific feature.
      Returns:
        selectedFeaturesOnly

    - #### setSelectedFeaturesOnly

          public void setSelectedFeaturesOnly(Boolean selectedFeaturesOnly)

    - #### equals

          public boolean equals(Object o)

      Overrides:
        `equals` in class `Object`

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `Object`

    - #### toString

          public String toString()

      Overrides:
        `toString` in class `Object`

Copyright © 2026. All rights reserved.